Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.common
Class LanguageImpl.ResourceBundleImpl

    java.lang.Object
      java.util.ResourceBundle
          org.jasig.portal.container.om.common.LanguageImpl.ResourceBundleImpl

Enclosing class:
  LanguageImpl

    private static class LanguageImpl.ResourceBundleImpl

extends java.util.ResourceBundle

Field Summary
`private java.util.Map` | `data`

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`LanguageImpl.ResourceBundleImpl(java.util.ResourceBundle bundle, java.util.ResourceBundle defaults)`

Method Summary
`java.util.Enumeration` | `getKeys()`
`protected java.lang.Object` | `handleGetObject(java.lang.String key)`
`private void` | `importData(java.util.ResourceBundle bundle)`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### data

    private java.util.Map data

Constructor Detail

### LanguageImpl.ResourceBundleImpl

    public LanguageImpl.ResourceBundleImpl(java.util.ResourceBundle bundle,
                                           java.util.ResourceBundle defaults)

Method Detail

### importData

    private void importData(java.util.ResourceBundle bundle)

### handleGetObject

    protected java.lang.Object handleGetObject(java.lang.String key)

  Specified by:
    `handleGetObject` in class `java.util.ResourceBundle`

### getKeys

    public java.util.Enumeration getKeys()

  Specified by:
    `getKeys` in class `java.util.ResourceBundle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD